# Note that this is NOT a relocatable package
%define ver      1.2
%define RELEASE  2.9.0
%define rel      %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Bluetooth SDP
Name: bluez-sdp
Version: %ver
Release: %rel
License: GPL
Group: Applications/System
Vendor: Official Linux Bluetooth protocol stack
Packager: Sebastian Frankfurt <sf@infesto.de>
Source: http://bluez.sourceforge.net/%{name}-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
URL: http://bluez.sourceforge.net
Requires: glibc >= 2.2.4
Requires: bluez-libs >= 2.0
BuildRequires: glibc-devel >= 2.2.4
BuildRequires: bluez-libs-devel >= 2.0

%description
Bluetooth SDP libraries and utilities.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package devel
Summary: Bluetooth SDP development files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Bluetooth SDP development files and libraries.

%changelog
* Tue Aug 14 2002 Sebastian Frankfurt <sf@infesto.de>
- Initial RPM

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} prefix=%{prefix} confdir=%{_sysconfdir}/bluetooth mandir=%{_mandir} sysconfdir=%{_sysconfdir} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_libdir}/libsdp*so*
%{_bindir}/sdptool
%{_sbindir}/sdpd

%files devel
%defattr(-, root, root)
%{_libdir}/libsdp*a
%{_includedir}/bluetooth/sdp.h
%{_includedir}/bluetooth/sdp_lib.h
